~alpine/devel

1

[alpine-devel] [PATCH] testing/libdbi: new aport

ScrumpyJack <scrumpyjack@me.com>
Details
Message ID
<alpine.LNX.2.11.1411051332320.20394@st.ilet.to>
Sender timestamp
1415194444
DKIM signature
missing
Download raw message
http://libdbi.sourceforge.net
Database independent abstraction layer for C
---
  testing/libdbi-drivers/APKBUILD | 49 
+++++++++++++++++++++++++++++++++++++++++
  testing/libdbi/APKBUILD         | 42 +++++++++++++++++++++++++++++++++++
  2 files changed, 91 insertions(+)
  create mode 100644 testing/libdbi-drivers/APKBUILD
  create mode 100644 testing/libdbi/APKBUILD

diff --git a/testing/libdbi-drivers/APKBUILD 
b/testing/libdbi-drivers/APKBUILD
new file mode 100644
index 0000000..c3b195c
--- /dev/null
+++ b/testing/libdbi-drivers/APKBUILD
@@ -0,0 +1,49 @@
+# Contributor: ScrumpyJack <scrumpyjack@me.com>
+# Maintainer:
+pkgname=libdbi-drivers
+pkgver=0.9.0
+pkgrel=0
+pkgdesc="Provides the database-specific drivers for the libdbi framework"
+url="http://libdbi-drivers.sourceforge.net/"
+arch="all"
+license="LGPL2+"
+depends="libdbi"
+depends_dev="libdbi"
+makedepends="freetds-dev mysql-dev postgresql-dev sqlite-dev 
$depends_dev"
+install=""
+subpackages=""
+options="libtool"
+source="http://downloads.sourceforge.net/${pkgname}/${pkgname}/${pkgname}-${pkgver}/${pkgname}-${pkgver}.tar.gz"
+
+_builddir=${srcdir}/${pkgname}-${pkgver}
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	./configure --prefix=/usr \
+		    --localstatedir=/usr \
+		    --with-mysql \
+		    --with-pgsql \
+		    --with-sqlite3 \
+		    --disable-docs
+
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	chmod -R o-w "$pkgdir"/usr/lib/libdbi
+}
+
+md5sums="9f47b960e225eede2cdeaabf7d22f59f  libdbi-drivers-0.9.0.tar.gz"
+sha256sums="43d2eacd573a4faff296fa925dd97fbf2aedbf1ae35c6263478210c61004c854 
libdbi-drivers-0.9.0.tar.gz"
+sha512sums="f4d3aaa71014697c53012a10bf9f0af398bcf5ee5872af165f8f43a682d2fb3045a9172ffea0e068dcbfcad52494878c037d8d90fadfaf176936e42f7f1e85c1 
libdbi-drivers-0.9.0.tar.gz"
diff --git a/testing/libdbi/APKBUILD b/testing/libdbi/APKBUILD
new file mode 100644
index 0000000..a98896e
--- /dev/null
+++ b/testing/libdbi/APKBUILD
@@ -0,0 +1,42 @@
+# Contributor: ScrumpyJack <scrumpyjack@me.com>
+# Maintainer:
+pkgname=libdbi
+pkgver=0.9.0
+pkgrel=0
+pkgdesc="Database independent abstraction layer for C"
+url="http://libdbi.sourceforge.net/"
+arch="all"
+license="LGPL2+"
+depends="libdbi-drivers"
+depends_dev=""
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-doc"
+source="http://downloads.sourceforge.net/project/${pkgname}/${pkgname}/${pkgname}-${pkgver}/${pkgname}-${pkgver}.tar.gz"
+options=libtool
+
+_builddir=${srcdir}/${pkgname}-${pkgver}
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	./configure --prefix=/usr
+	make
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="05e2ceeac4bc85fbe40de8b4b22d9ab3  libdbi-0.9.0.tar.gz"
+sha256sums="dafb6cdca524c628df832b6dd0bf8fabceb103248edb21762c02d3068fca4503 
libdbi-0.9.0.tar.gz"
+sha512sums="ee8777195af43057409d051a6055ec0467cd926d48da076458b09f91d2f0995a1cc4bc071762e401b7bdcd8a4173fd8ea3472db3a1518e34b4c5b5ed24e4e2ce 
libdbi-0.9.0.tar.gz"
-- 
2.1.3


---
Unsubscribe:  alpine-devel+unsubscribe@lists.alpinelinux.org
Help:         alpine-devel+help@lists.alpinelinux.org
---
Natanael Copa <ncopa@alpinelinux.org>
Details
Message ID
<20141110110522.283a59df@ncopa-desktop.alpinelinux.org>
In-Reply-To
<alpine.LNX.2.11.1411051332320.20394@st.ilet.to> (view parent)
Sender timestamp
1415613922
DKIM signature
missing
Download raw message
On Wed, 05 Nov 2014 13:34:04 +0000 (UTC)
ScrumpyJack <scrumpyjack@me.com> wrote:

> 
> http://libdbi.sourceforge.net
> Database independent abstraction layer for C

This does not apply due to:

Content-type: TEXT/PLAIN; format=flowed; charset=US-ASCII

-nc


---
Unsubscribe:  alpine-devel+unsubscribe@lists.alpinelinux.org
Help:         alpine-devel+help@lists.alpinelinux.org
---
Reply to thread Export thread (mbox)